1
0
forked from pool/xfce4-session

Accepting request 722854 from X11:xfce:next

Update for xfce 4.14

OBS-URL: https://build.opensuse.org/request/show/722854
OBS-URL: https://build.opensuse.org/package/show/X11:xfce/xfce4-session?expand=0&rev=139
This commit is contained in:
Maurizio Galli 2019-08-15 01:06:01 +00:00 committed by Git OBS Bridge
parent 19ce2331b5
commit 5af723e21c
13 changed files with 400 additions and 472 deletions

17
_service Normal file
View File

@ -0,0 +1,17 @@
<?xml version="1.0"?>
<services>
<service name="obs_scm" mode="disabled">
<param name="url">https://git.xfce.org/xfce/xfce4-session</param>
<param name="scm">git</param>
<param name="versionformat">@PARENT_TAG@~git@TAG_OFFSET@.%h</param>
<param name="changesgenerate">enable</param>
<param name="changesauthor">maurizio.galli@gmail.com</param>
<param name="versionrewrite-pattern">xfce4session(.*)</param>
</service>
<service name="set_version" mode="disabled"/>
<service name="tar" mode="disabled"/>
<service name="recompress" mode="disabled">
<param name="compression">bz2</param>
<param name="file">*.tar</param>
</service>
</services>

View File

@ -0,0 +1,13 @@
diff -rub a/scripts/xflock4 b/scripts/xflock4
--- a/scripts/xflock4 2019-05-04 19:15:26.323290812 +0800
+++ b/scripts/xflock4 2019-05-04 22:39:08.416197604 +0800
@@ -32,7 +32,8 @@
"$LOCK_CMD" \
"xfce4-screensaver-command --lock" \
"xscreensaver-command -lock" \
- "gnome-screensaver-command --lock"
+ "gnome-screensaver-command --lock" \
+ "light-locker-command -l"
do
if [ ! -z "$lock_cmd" ]; then
$lock_cmd >/dev/null 2>&1 && exit

View File

@ -0,0 +1,12 @@
diff -rub a/scripts/xflock4 b/scripts/xflock4
--- a/scripts/xflock4 2019-05-11 04:05:58.000000000 +0800
+++ b/scripts/xflock4 2019-05-20 18:59:02.025108727 +0800
@@ -29,7 +29,7 @@
"$LOCK_CMD" \
"xfce4-screensaver-command --lock" \
"xscreensaver-command -lock" \
- "gnome-screensaver-command --lock"
+ "light-locker-command -l"
do
if [ ! -z "$lock_cmd" ]; then
$lock_cmd >/dev/null 2>&1 && exit

View File

@ -1,13 +0,0 @@
diff -ru a/scripts/xflock4 b/scripts/xflock4
--- a/scripts/xflock4 2014-08-31 02:24:02.000000000 +0800
+++ b/scripts/xflock4 2019-06-06 07:52:48.399462547 +0800
@@ -26,7 +26,9 @@
# Lock by xscreensaver or gnome-screensaver, if a respective daemon is running
for lock_cmd in \
+ "xfce4-screensaver-command -l" \
"xscreensaver-command -lock" \
+ "light-locker-command -l" \
"gnome-screensaver-command --lock"
do
$lock_cmd >/dev/null 2>&1 && exit

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:97d7f2a2d0af7f3623b68d1f04091e02913b28f9555dab8b0d26c8a1299d08fd
size 1289284

View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:14fb6db74eb69eb400673856ba307a0e57f577cf77c3561a5910151e3d52043f
size 826950

View File

@ -1,28 +0,0 @@
From 26f9ae8df629f02af0773df2ed82db6b85c5b556 Mon Sep 17 00:00:00 2001
From: Eric Koegel <eric.koegel@gmail.com>
Date: Sat, 28 Mar 2015 16:57:24 +0300
Subject: Make verbose logging conditional (Bug #11698)
Bug report and patch submitted by Zhihao Yuan
Signed-off-by: Eric Koegel <eric.koegel@gmail.com>
diff --git a/xfce4-session/xfsm-global.h b/xfce4-session/xfsm-global.h
index d2e0c29..d458712 100644
--- a/xfce4-session/xfsm-global.h
+++ b/xfce4-session/xfsm-global.h
@@ -49,7 +49,10 @@ extern XfsmSplashScreen *splash_screen;
#if defined(G_HAVE_ISO_VARARGS)
#define xfsm_verbose(...)\
- xfsm_verbose_real (__func__, __FILE__, __LINE__, __VA_ARGS__)
+G_STMT_START{ \
+ if (G_UNLIKELY (verbose)) \
+ xfsm_verbose_real (__func__, __FILE__, __LINE__, __VA_ARGS__); \
+}G_STMT_END
#else
--
cgit v0.10.1

View File

@ -0,0 +1,76 @@
diff -rub a/scripts/startxfce4.in b/scripts/startxfce4.in
--- a/scripts/startxfce4.in 2019-05-13 13:08:40.936637683 +0800
+++ b/scripts/startxfce4.in 2019-05-13 13:16:44.378397419 +0800
@@ -66,13 +66,22 @@
if test "x$XDG_DATA_DIRS" = "x"
then
- if test "x@_datadir_@" = "x/usr/local/share" -o "x@_datadir_@" = "x/usr/share"; then
+ if test "x@_datadir_@" = "x/usr/local/share" -o test "x@_datadir_@" = "x/usr/share"; then
XDG_DATA_DIRS="/usr/local/share:/usr/share"
else
XDG_DATA_DIRS="@_datadir_@:/usr/local/share:/usr/share"
fi
else
+ case $XDG_DATA_DIRS in
+ *:@_datadir_@:*)
+ ;;
+ *)
XDG_DATA_DIRS="$XDG_DATA_DIRS:@_datadir_@"
+ esac
+fi
+if test -d "@_datadir_@/xfce"
+then
+ XDG_DATA_DIRS="@_datadir_@/xfce:$XDG_DATA_DIRS"
fi
export XDG_DATA_DIRS
@@ -84,7 +93,12 @@
XDG_CONFIG_DIRS="/etc/xdg:@_sysconfdir_@/xdg"
fi
else
+ case $XDG_CONFIG_DIRS in
+ *:@_sysconfdir_@/xdg:*)
+ ;;
+ *)
XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:@_sysconfdir_@/xdg"
+esac
fi
export XDG_CONFIG_DIRS
diff -rub a/scripts/xinitrc.in.in b/scripts/xinitrc.in.in
--- a/scripts/xinitrc.in.in 2019-05-13 13:08:40.936637683 +0800
+++ b/scripts/xinitrc.in.in 2019-05-13 13:20:51.177252943 +0800
@@ -44,12 +44,6 @@
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"
-# set up XDG user directores. see
-# http://freedesktop.org/wiki/Software/xdg-user-dirs
-if command -v xdg-user-dirs-update >/dev/null 2>&1; then
- xdg-user-dirs-update
-fi
-
# For now, start with an empty list
XRESOURCES=""
@@ -81,14 +75,11 @@
# check if we start xfce4-session with ck-launch-session. this is only
# required for starting from a console, not a login manager
if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
- if command -v ck-launch-session >/dev/null 2>&1; then
- exec ck-launch-session xfce4-session
- else
- echo
- echo "You have tried to start Xfce with consolekit support, but"
- echo "ck-launch-session is not installed."
- echo "Aborted startup..."
- echo
+ if ! ck-launch-session xfce4-session; then
+ cat >&2 <<'EOF'
+Failed to start Xfce with consolekit support.
+Aborted startup...
+EOF
exit 1
fi
else

View File

@ -1,321 +1,76 @@
--- a/scripts/xinitrc.in
+++ b/scripts/xinitrc.in
@@ -44,12 +44,6 @@ if test "x$XDG_CACHE_HOME" = "x" ; then
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"
-# set up XDG user directores. see
-# http://freedesktop.org/wiki/Software/xdg-user-dirs
-if which xdg-user-dirs-update >/dev/null 2>&1; then
- xdg-user-dirs-update
-fi
-
# Modify libglade and glade environment variables so that
# it will find the files installed by Xfce
GLADE_CATALOG_PATH="$GLADE_CATALOG_PATH:"
@@ -87,112 +81,17 @@ cat /dev/null $XRESOURCES | xrdb -nocpp
# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap
-# run xfce4-session if installed
-if which xfce4-session >/dev/null 2>&1; then
-
- # check if we start xfce4-session with ck-launch-session. this is only
- # required for starting from a console, not a login manager
- if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
- if which ck-launch-session >/dev/null 2>&1; then
- ck-launch-session xfce4-session
- else
- echo
- echo "You have tried to start Xfce with consolekit support, but"
- echo "ck-launch-session is not installed."
- echo "Aborted startup..."
- echo
-
- exit 1
- fi
- else
- # start xfce4-session normally
- xfce4-session
+# check if we start xfce4-session with ck-launch-session. this is only
+# required for starting from a console, not a login manager
+if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
+ if ! ck-launch-session xfce4-session; then
+ cat >&2 <<'EOF'
+Failed to start Xfce with consolekit support.
+Aborted startup...
+EOF
+ exit 1
fi
-
- exit 0
+else
+ # start xfce4-session normally
+ xfce4-session
fi
-
-##################
-# IMPORTANT NOTE #
-##################
-
-# Everything below here ONLY gets executed if you are NOT using xfce4-session
-# (Xfce's session manager). If you are using the session manager, everything
-# below is handled by it, and the code below is not executed at all. If you're
-# not sure if you're using the session manager, type 'ps -e|grep xfce4-session'
-# in a terminal while Xfce is running.
-
-##################
-
-# Use dbus-launch if installed.
-if test x"$DBUS_SESSION_BUS_ADDRESS" = x""; then
- if which dbus-launch >/dev/null 2>&1; then
- eval `dbus-launch --sh-syntax --exit-with-session`
- # some older versions of dbus don't export the var properly
- export DBUS_SESSION_BUS_ADDRESS
- else
- echo "Could not find dbus-launch; Xfce will not work properly" >&2
- fi
-fi
-
-# this is only necessary when running w/o xfce4-session
-xsetroot -solid black -cursor_name watch
-
-# or use old-fashioned startup script otherwise
-
-xfsettingsd &
-xfwm4 --daemon
-
-# start up stuff in $XDG_CONFIG_HOME/autostart/
-if test -d "$XDG_CONFIG_HOME/autostart"; then
- for i in ${XDG_CONFIG_HOME}/autostart/*.desktop; do
- grep -q -E "^Hidden=true" "$i" && continue
- if grep -q -E "^OnlyShowIn=" "$i"; then
- # need to test twice, as lack of the line entirely means we still run it
- grep -E "^OnlyShowIn=" "$i" | grep -q 'XFCE;' || continue
- fi
- grep -E "^NotShowIn=" "$i" | grep -q 'XFCE;' && continue
-
- # check for TryExec
- trycmd=`grep -E "^TryExec=" "$i" | cut -d'=' -f2`
- if test "$trycmd"; then
- which "$trycmd" >/dev/null 2>&1 || continue
- fi
-
- cmd=`grep -E "^Exec=" "$i" | cut -d'=' -f2`
- if test "$cmd" && which "$cmd" >/dev/null 2>&1; then
- $cmd &
- fi
- done
-fi
-
-xfdesktop&
-orage &
-
-panel=`which xfce4-panel`
-case "x$panel" in
- x|xno*)
- ;;
- *)
- $panel
- ret=$?
- while test $ret -ne 0; do
- xmessage -center -file - -timeout 20 -title Error <<EOF
-A crash occured in the panel
-Please report this to the xfce4-dev@xfce.org list
-or on http://bugs.xfce.org
-Meanwhile the panel will be restarted
-EOF
- cat >&2 <<EOF
-A crash occured in the panel
-Please report this to the xfce4-dev@xfce.org list
-or on http://bugs.xfce.org
-Meanwhile the panel will be restarted
-EOF
- $panel
- ret=$?
- done
- ;;
-esac
-
-xsetroot -bg white -fg red -solid black -cursor_name watch
--- a/scripts/xinitrc.in.in
+++ b/scripts/xinitrc.in.in
@@ -44,12 +44,6 @@ if test "x$XDG_CACHE_HOME" = "x" ; then
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"
-# set up XDG user directores. see
-# http://freedesktop.org/wiki/Software/xdg-user-dirs
-if which xdg-user-dirs-update >/dev/null 2>&1; then
- xdg-user-dirs-update
-fi
-
# Modify libglade and glade environment variables so that
# it will find the files installed by Xfce
GLADE_CATALOG_PATH="$GLADE_CATALOG_PATH:@XFCE_GLADE_CATALOG_PATH@"
@@ -87,112 +81,17 @@ cat /dev/null $XRESOURCES | xrdb -nocpp
# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap
-# run xfce4-session if installed
-if which xfce4-session >/dev/null 2>&1; then
-
- # check if we start xfce4-session with ck-launch-session. this is only
- # required for starting from a console, not a login manager
- if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
- if which ck-launch-session >/dev/null 2>&1; then
- ck-launch-session xfce4-session
- else
- echo
- echo "You have tried to start Xfce with consolekit support, but"
- echo "ck-launch-session is not installed."
- echo "Aborted startup..."
- echo
-
- exit 1
- fi
- else
- # start xfce4-session normally
- xfce4-session
+# check if we start xfce4-session with ck-launch-session. this is only
+# required for starting from a console, not a login manager
+if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
+ if ! ck-launch-session xfce4-session; then
+ cat >&2 <<'EOF'
+Failed to start Xfce with consolekit support.
+Aborted startup...
+EOF
+ exit 1
fi
-
- exit 0
+else
+ # start xfce4-session normally
+ xfce4-session
fi
-
-##################
-# IMPORTANT NOTE #
-##################
-
-# Everything below here ONLY gets executed if you are NOT using xfce4-session
-# (Xfce's session manager). If you are using the session manager, everything
-# below is handled by it, and the code below is not executed at all. If you're
-# not sure if you're using the session manager, type 'ps -e|grep xfce4-session'
-# in a terminal while Xfce is running.
-
-##################
-
-# Use dbus-launch if installed.
-if test x"$DBUS_SESSION_BUS_ADDRESS" = x""; then
- if which dbus-launch >/dev/null 2>&1; then
- eval `dbus-launch --sh-syntax --exit-with-session`
- # some older versions of dbus don't export the var properly
- export DBUS_SESSION_BUS_ADDRESS
- else
- echo "Could not find dbus-launch; Xfce will not work properly" >&2
- fi
-fi
-
-# this is only necessary when running w/o xfce4-session
-xsetroot -solid black -cursor_name watch
-
-# or use old-fashioned startup script otherwise
-
-xfsettingsd &
-xfwm4 --daemon
-
-# start up stuff in $XDG_CONFIG_HOME/autostart/
-if test -d "$XDG_CONFIG_HOME/autostart"; then
- for i in ${XDG_CONFIG_HOME}/autostart/*.desktop; do
- grep -q -E "^Hidden=true" "$i" && continue
- if grep -q -E "^OnlyShowIn=" "$i"; then
- # need to test twice, as lack of the line entirely means we still run it
- grep -E "^OnlyShowIn=" "$i" | grep -q 'XFCE;' || continue
- fi
- grep -E "^NotShowIn=" "$i" | grep -q 'XFCE;' && continue
-
- # check for TryExec
- trycmd=`grep -E "^TryExec=" "$i" | cut -d'=' -f2`
- if test "$trycmd"; then
- which "$trycmd" >/dev/null 2>&1 || continue
- fi
-
- cmd=`grep -E "^Exec=" "$i" | cut -d'=' -f2`
- if test "$cmd" && which "$cmd" >/dev/null 2>&1; then
- $cmd &
- fi
- done
-fi
-
-xfdesktop&
-orage &
-
-panel=`which xfce4-panel`
-case "x$panel" in
- x|xno*)
- ;;
- *)
- $panel
- ret=$?
- while test $ret -ne 0; do
- xmessage -center -file - -timeout 20 -title Error <<EOF
-A crash occured in the panel
-Please report this to the xfce4-dev@xfce.org list
-or on http://bugs.xfce.org
-Meanwhile the panel will be restarted
-EOF
- cat >&2 <<EOF
-A crash occured in the panel
-Please report this to the xfce4-dev@xfce.org list
-or on http://bugs.xfce.org
-Meanwhile the panel will be restarted
-EOF
- $panel
- ret=$?
- done
- ;;
-esac
-
-xsetroot -bg white -fg red -solid black -cursor_name watch
--- a/scripts/startxfce4.in
+++ b/scripts/startxfce4.in
@@ -66,13 +66,22 @@ fi
diff -rub a/scripts/startxfce4.in b/scripts/startxfce4.in
--- a/scripts/startxfce4.in 2016-05-03 05:02:14.000000000 +0800
+++ b/scripts/startxfce4.in 2019-05-20 18:52:01.014092674 +0800
@@ -66,13 +66,22 @@
if test "x$XDG_DATA_DIRS" = "x"
then
- if test "x@_datadir_@" = "x/usr/local/share" -o "x@_datadir_@" = "x/usr/share"; then
+ if test "x@_datadir_@" = "x/usr/local/share" -o test "x@_datadir_@" = "x/usr/share"; then
+ if test "x@_datadir_@" = "x/usr/local/share" -o test "x@_datadir_@" = "x/usr/share"; then
XDG_DATA_DIRS="/usr/local/share:/usr/share"
else
XDG_DATA_DIRS="@_datadir_@:/usr/local/share:/usr/share"
fi
else
- XDG_DATA_DIRS="$XDG_DATA_DIRS:@_datadir_@"
+ case $XDG_DATA_DIRS in
+ *:@_datadir_@:*)
+ ;;
+ *)
+ XDG_DATA_DIRS="$XDG_DATA_DIRS:@_datadir_@"
+ esac
XDG_DATA_DIRS="$XDG_DATA_DIRS:@_datadir_@"
+esac
+fi
+if test -d "@_datadir_@/xfce"
+then
+ XDG_DATA_DIRS="@_datadir_@/xfce:$XDG_DATA_DIRS"
+ XDG_DATA_DIRS="@_datadir_@/xfce:$XDG_DATA_DIRS"
fi
export XDG_DATA_DIRS
@@ -84,7 +93,12 @@ then
@@ -84,7 +93,12 @@
XDG_CONFIG_DIRS="/etc/xdg:@_sysconfdir_@/xdg"
fi
else
- XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:@_sysconfdir_@/xdg"
+ case $XDG_CONFIG_DIRS in
+ *:@_sysconfdir_@/xdg:*)
+ ;;
+ *)
+ XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:@_sysconfdir_@/xdg"
XDG_CONFIG_DIRS="$XDG_CONFIG_DIRS:@_sysconfdir_@/xdg"
+ esac
fi
export XDG_CONFIG_DIRS
diff -rub a/scripts/xinitrc.in.in b/scripts/xinitrc.in.in
--- a/scripts/xinitrc.in.in 2019-05-11 04:05:58.000000000 +0800
+++ b/scripts/xinitrc.in.in 2019-05-20 18:55:49.566603360 +0800
@@ -44,12 +44,6 @@
fi
[ -d "$XDG_CACHE_HOME" ] || mkdir "$XDG_CACHE_HOME"
-# set up XDG user directores. see
-# http://freedesktop.org/wiki/Software/xdg-user-dirs
-if command -v xdg-user-dirs-update >/dev/null 2>&1; then
- xdg-user-dirs-update
-fi
-
# For now, start with an empty list
XRESOURCES=""
@@ -81,14 +75,11 @@
# check if we start xfce4-session with ck-launch-session. this is only
# required for starting from a console, not a login manager
if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
- if command -v ck-launch-session >/dev/null 2>&1; then
- exec ck-launch-session xfce4-session
- else
- echo
- echo "You have tried to start Xfce with consolekit support, but"
- echo "ck-launch-session is not installed."
- echo "Aborted startup..."
- echo
+ if ! ck-launch-session xfce4-session; then
+ cat >&2 <<'EOF'
+Failed to start Xfce with consolekit support.
+Aborted startup...
+EOF
exit 1
fi
else

View File

@ -1,27 +0,0 @@
diff -urNp xfce4-session-4.8.0.orig/engines/simple/simple.c xfce4-session-4.8.0/engines/simple/simple.c
--- xfce4-session-4.8.0.orig/engines/simple/simple.c 2011-01-16 17:38:20.000000000 +0100
+++ xfce4-session-4.8.0/engines/simple/simple.c 2011-02-02 18:44:31.000000000 +0100
@@ -213,7 +213,6 @@ static void
simple_next (XfsmSplashEngine *engine, const gchar *text)
{
Simple *simple = (Simple *) engine->user_data;
- GdkColor shcolor;
gint tw, th, tx, ty;
pango_layout_set_text (simple->layout, text, -1);
@@ -231,15 +230,6 @@ simple_next (XfsmSplashEngine *engine, c
gdk_gc_set_clip_rectangle (simple->gc, &simple->textbox);
- /* draw shadow */
- shcolor.red = (simple->fgcolor.red + simple->bgcolor.red) / 2;
- shcolor.green = (simple->fgcolor.green + simple->bgcolor.green) / 2;
- shcolor.blue = (simple->fgcolor.blue + simple->bgcolor.blue) / 2;
- shcolor.red = (shcolor.red + shcolor.green + shcolor.blue) / 3;
- shcolor.green = shcolor.red;
- shcolor.blue = shcolor.red;
-
- gdk_gc_set_rgb_fg_color (simple->gc, &shcolor);
gdk_draw_layout (simple->pixmap, simple->gc,
tx + 2, ty + 2, simple->layout);

View File

@ -1,34 +0,0 @@
Set XAUTHLOCALHOSTNAME in systemd user session, or starting of systemd-activated
services will fail.
Observed on openSUSE-Tumbleweed-Rescue-CD-x86_64-Snapshot20171213-Media.iso
Index: b/scripts/xinitrc.in
===================================================================
--- a/scripts/xinitrc.in
+++ b/scripts/xinitrc.in
@@ -86,6 +86,10 @@ cat /dev/null $XRESOURCES | xrdb -nocpp
# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap
+# if XAUTHLOCALHOSTNAME is not set in systemd user session, starting of xfce4-notifyd etc. will fail
+if systemctl --user list-jobs >/dev/null 2>&1; then # user session is running
+ dbus-update-activation-environment --systemd XAUTHLOCALHOSTNAME=$XAUTHLOCALHOSTNAME
+fi
# check if we start xfce4-session with ck-launch-session. this is only
# required for starting from a console, not a login manager
if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then
Index: b/scripts/xinitrc.in.in
===================================================================
--- a/scripts/xinitrc.in.in
+++ b/scripts/xinitrc.in.in
@@ -86,6 +86,10 @@ cat /dev/null $XRESOURCES | xrdb -nocpp
# load local modmap
test -r $HOME/.Xmodmap && xmodmap $HOME/.Xmodmap
+# if XAUTHLOCALHOSTNAME is not set in systemd user session, starting of xfce4-notifyd etc. will fail
+if systemctl --user list-jobs >/dev/null 2>&1; then # user session is running
+ dbus-update-activation-environment --systemd XAUTHLOCALHOSTNAME=$XAUTHLOCALHOSTNAME
+fi
# check if we start xfce4-session with ck-launch-session. this is only
# required for starting from a console, not a login manager
if test "x$XFCE4_SESSION_WITH_CK" = "x1"; then

View File

@ -1,9 +1,198 @@
-------------------------------------------------------------------
Wed Jun 5 23:59:55 UTC 2019 - maurizio.galli@gmail.com
Mon Aug 12 08:03:46 UTC 2019 - Maurizio Galli <maurizio.galli@gmail.com>
- Removed add-light-locker-support.patch. Replaced by
additional-lockers-support.patch which supports both
xfce4-screensaver and lightlocker
- Update to version 4.14.0
* settings: Fix icon name
* settings: Replace GtkStock buttons
* Set XAUTHLOCALHOSTNAME in systemd user session (bxo#15440)
* Translation Updates
- Fixed up spec file
- Dropped obsolete xfce4-session-systemd-user-addons.patch (fixed upstream)
-------------------------------------------------------------------
Sun Jul 28 13:16:19 UTC 2019 - Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 4.13.4
* Process Gtk events prior to starting D-Bus (bxo#15712)
* Splash engines are not present anymore in xfce4-session
(obsoletes the lib and -devel Subpackages)
* Translation updates
-------------------------------------------------------------------
Sun Jun 30 21:56:01 UTC 2019 - Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 4.13.3
* Reset font-size of logout dialog to default (bxo#15505)
* Report optional dependency on polkit (bxo#12761)
* Read data from correct group when editing autostart entry
(bxo#10423)
* Improve layout of autostart add/edit dialogs
* Improve column layout of autostart tab (bxo#15448)
* settings: Fix crash when terminating programs (bxo#15489)
* Translation updates
-------------------------------------------------------------------
Thu Jun 27 01:09:43 UTC 2019 - Maurizio Galli <maurizio.galli@gmail.com>
- Don't install xscreensaver.desktop. We use xfce4-screensaver instead
-------------------------------------------------------------------
Mon May 20 10:34:03 UTC 2019 - Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 4.13.2
- Drop splash screens
- Introduce priority-group startup for FailSafe Session
- Optionally run commands on logout, suspend etc. (bxo#10172)
- xflock4:
- Do not override PATH with hardcoded value.
- Add support for xfce4-screensaver to xflock4
- chooser:
- Improve look and feel of the session chooser
- Improve UI and add delete button (bxo#12799)
- Add fallback theming to chooser dialogs
- Enable keypress response to session creation
- Update session name in xfconf after chooser
- Fix case in session chooser buttons
- settings:
- Show saved sessions in settings dialog
- Move "lock screen before sleep" option to general tab
- Fix alignment of session lock property
- Fix PID showing in "Current Session" tab
- Improve icon matching in "Current Session" tab
- Add a label for the currently active session
- Add a "delete session" button to the session list
- Make the Autostart buttons an inline toolbar
- Initialize the session list treeview if necessary
- More settings dialog UI improvements
- Add column headers to autostart list
- In autostart some apps (e.g. xfce-polkit) have bigger icons
- Make entries expand in add/edit app startup dialog (bxo#15321)
- logout-dialog:
- Fix sensitivity of switch user button
- Remove blue border from logout dialog (bxo#15284)
- Improve default style of the logout dialog
- Add styleclass to make logout dialog themeable
- Set logout dialog icons from icon_name
- Support scaling in logout dialog (bxo#14951)
- Use a different icon for hybrid sleep when possible
- Fix mnemonic conflict on logout dialog
- Use systemd-logind methods instead of polkit permissions (bxo#14707)
- scripts/xinitrc.in.in: use "command" shell builtin instead of
which(1)
- Use sysconf(_SC_NGROUPS_MAX) instead of #defining an arbitrary
MAX_USER_GROUPS (bxo#14722)
- Don't auto start consolekit daemon if it is not running
- Added better shutdown fallback support for the BSDs (bxo#14722)
- Don't install generic icon names (bxo#11912)
- Use exec to launch xfce4-session from xinitrc
- xinitrc: Remove fallback path when xfce4-session is not installed
- Remove old unused autostart_migrate function
- Fix GVariant format string in dbus server
- Extend debug messages
- Silence compiler warnings
- Remove unused checks on configure step
- Drop unused function
- Remove useless ioprio.h check
- rollback fix of a warning (fix requires glib 2.58)
- Fixed warning "cast between incompatible function types" introduced
in GCC 8
- replaced GList of windows with single window (not required any more)
- merged identic cases
- removed duplicated loop counter
- replaced deprecated "gtk_display_get_screen" - For each display
there is only one screen (See gtk3 doc of gdk_display_get_screen).
- bump gtk version to 3.22 and gmodule/gio to 2.42
- Remove now useless XFCE_GLADE_*_PATH variables (bxo#13945)
- Tell intltool how to extract .ui files (bxo#14582)
- fix build failure when dbus is not in the system include path
(bxo#14386)
- Translation updates
- Switched sources back to released tarballs instead of git master
- Fixed patches
- Fixed source url
- Cleaned up file section
-------------------------------------------------------------------
Fri May 17 09:35:36 UTC 2019 - maurizio.galli@gmail.com
- Update to version 4.13.1~git299.026d5f2:
* Fix alignment of session lock property in settings
* Fix sensitivity of switch user button
* Extend debug messages
-------------------------------------------------------------------
Mon May 13 05:32:32 UTC 2019 - maurizio.galli@gmail.com
- Update to version 4.13.1~git263.b63c408:
* Add fallback theming to chooser dialogs
* Translation updates
- Fixed patches
-------------------------------------------------------------------
Wed May 08 05:47:39 UTC 2019 - maurizio.galli@gmail.com
- Update to version 4.13.1~git222.f5a417e:
* Use sysconf(_SC_NGROUPS_MAX) instead of #defining an arbitrary MAX_USER_GROUPS
(bxo#14722)
* Several other bug fixes
- Temporarely switched source from git master branch to get most
recent fixes
-------------------------------------------------------------------
Wed May 8 05:21:41 UTC 2019 - Maurizio Galli <maurizio.galli@gmail.com>
- fixed patches
- fixed spec file prevent some lint warnings
-------------------------------------------------------------------
Wed May 8 04:01:12 UTC 2019 - Maurizio Galli <maurizio.galli@gmail.com>
- fixed bcond
-------------------------------------------------------------------
Sat May 4 15:45:01 UTC 2019 - maurizio.galli@gmail.com
- Rebased build from X11:xfce and started from scratch
- Update to version 4.13.1
* Add/Edit Application Autostart Entries (bxo#13271)
* Remove non-existent grid properties (bxo#13271)
* fix coverity 178990 Resource leak
* fix coverity cid 178989 Dereference after null check
* 178988 'Constant' variable guards dead code
* fix coverity cid 178987 Logically dead code
* fix coverity cid 87608 Dereference after null check
* 178988 'Constant' variable guards dead code
* fix coverity cid 178987 Logically dead code
* fix coverity cid 87608 Dereference after null check
* fix coverity cid 87607 Unchecked return value from library
* Hybrid Sleep support - "hibernate" and suspend the system
* xfce4-session-logout: deconflict -h option (bxo#12806)
* Export the SSH_AUTH_SOCK when spawning client bxo#13486
* fix: Compilation error with --disable-polkit bxo#12760
* Require libxfce4ui-2 instead of libxfce4ui-1 in pc.in file
* xfsm-manager: pass manager variable to g_timeout_add bxo#13802
* Bump GTK version to 3.20
* Check accessibility depending on xfsm configuration
* Fix keyboard grab for logout window
* Fix fadeout window using Xlib API
* Fix gdk max version to 3.20
* Translation updates
- Changes from 4.13.0
* xfsm has been ported to Gtk3.
* xfsm now does session management for clients using the Gtk application
dbus interface.
* xfsm has been ported to GDBus.
* Add a switch user button to the logout dialog (bxo#10345)
* UPower dependency has been removed as the suspend/hibernate dbus calls
were dropped from it.
* Handle screensaver with it's own object (bxo#12603)
* Fix a crash when warning about the screenlocker (bxo#12603)
* When locking fallback to xflock4 first (bxo#12603)
* Add switch-user to the xfsm-logout program
- Added %bcond to improve portability of spec file between git master
and released sources
- Revised patches for git master version
- Drop obsolete patch xfce4-session-simple-splash-remove-shadows.patch
- Drop obsolete patch xfce4-session-Make-verbose-logging-conditional.patch
-------------------------------------------------------------------
Sat Mar 30 21:20:52 UTC 2019 - olaf@aepfle.de

View File

@ -16,41 +16,44 @@
#
%define libname libxfsm-4_6-0
%bcond_with git
Name: xfce4-session
Version: 4.12.1
Version: 4.14.0
Release: 0
Summary: Xfce Session Manager
License: GPL-2.0
Group: System/GUI/XFCE
Url: http://docs.xfce.org/xfce/xfce4-session/start
Source0: http://archive.xfce.org/src/xfce/xfce4-session/4.12/%{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE xfce4-session-simple-splash-remove-shadows.patch gber@opensuse.org -- Improves readability of the simple splash engine text by removing the text shadows
Patch0: xfce4-session-simple-splash-remove-shadows.patch
# PATCH-FIX-OPENSUSE xfce4-session-adapt-session-scripts.patch bnc#789057 gber@opensuse.org -- Adapt upstream sessions script to openSUSE
URL: https://docs.xfce.org/xfce/xfce4-session/start
%if %{with git}
Source0: %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE xfce4-session-adapt-session-scripts-git.patch bnc#789057 maurizio.galli@gmail.com-- Adapt upstream sessions script to openSUSE.
Patch0: xfce4-session-adapt-session-scripts-git.patch
# PATCH-FIX-OPENSUSE add-light-locker-support.patch maurizio.galli@gmail.com -- add light-locker to xflock4 script.
Patch2: add-light-locker-support-git.patch
%else
Source0: https://archive.xfce.org/src/xfce/xfce4-session/4.13/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE xfce4-session-adapt-session-scripts.patch bnc#789057 gber@opensuse.org -- Adapt upstream sessions script to openSUSE.
Patch1: xfce4-session-adapt-session-scripts.patch
# PATCH-FIX-UPSTREAM xfce4-session-Make-verbose-logging-conditional.patch boo#999676
Patch2: xfce4-session-Make-verbose-logging-conditional.patch
# PATCH-FIX-OPENSUSE xfce4-session-systemd-user-addons.patch seife+dev@b1-systems.com -- fix systemd-user session settings
Patch3: xfce4-session-systemd-user-addons.patch
# PATCH-FIX-OPENSUSE additional-lockers-support.patch maurizio.galli@gmail.com -- add xfce4-screensaver and lightlocker to xflock4 script
Patch4: additional-lockers-support.patch
# PATCH-FIX-OPENSUSE add-light-locker-support.patch -- add light-locker to xflock4 script.
Patch3: add-light-locker-support.patch
%endif
BuildRequires: iceauth
BuildRequires: intltool
BuildRequires: fdupes
BuildRequires: pkgconfig
BuildRequires: update-desktop-files
BuildRequires: xfce4-dev-tools
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.22.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libwnck-1.0)
BuildRequires: pkgconfig(libwnck-3.0) >= 3.10
BuildRequires: pkgconfig(libxfce4panel-1.0)
BuildRequires: pkgconfig(libxfce4ui-1)
BuildRequires: pkgconfig(libxfce4util-1.0)
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.100
BuildRequires: pkgconfig(libxfce4ui-2) >= 4.12.0
BuildRequires: pkgconfig(libxfce4util-1.0) >= 4.12.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.102
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(atk)
@ -71,36 +74,12 @@ Recommends: thunar
Recommends: xfce4-panel
# xfce4-about needs to be dragged at a low level
Recommends: libxfce4ui-tools
Provides: xfce-utils = %{version}
Obsoletes: xfce-utils <= 4.8.3
Provides: xfce-utils-doc = %{version}
Obsoletes: xfce-utils-doc <= 4.8.3
Provides: xfce-utils-lang = %{version}
Obsoletes: xfce-utils-lang <= 4.8.3
Provides: xfce4-session-doc = %{version}
Obsoletes: xfce4-session-doc <= 4.8.3
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Obsoletes: xfce4-session-devel < %{version}
Obsoletes: libxfsm-4_6-0 < %{version}
%description
xfce4-session is the session manager for the Xfce desktop environment.
%package -n %{libname}
Summary: Shared Library for xfce4-session Splash Screen Engines
Group: System/Libraries
%description -n %{libname}
This package contains the shared library for xfce4-session splash screen
engines.
%package devel
Summary: Development Files for xfce4-session
Group: Development/Libraries/C and C++
Requires: %{libname} = %{version}
%description devel
This package contains development files needed to develop custom splash screen
engines for the xfce4-session.
%package branding-upstream
Summary: Upstream Branding of xfce4-session
Group: System/GUI/XFCE
@ -120,14 +99,22 @@ This package provides the upstream look and feel for the Xfce Session Manager.
%autosetup -p1
%build
xdt-autogen
%if %{with git}
NOCONFIGURE=1 ./autogen.sh
%configure \
--enable-maintainer-mode \
--disable-static
%else
%configure \
--disable-static
make %{?_smp_mflags} V=1
%endif
%make_build
%install
%make_install
%fdupes -s %{buildroot}%{_datadir}/icons/hicolor/*
chmod 755 %{buildroot}%{_sysconfdir}/xdg/xfce4/xinitrc
install -d -m 755 %{buildroot}%{_datadir}/xfce/applications
@ -147,29 +134,23 @@ mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
# remove xscreensaver desktop file. We use xfce4-screensaver instead.
rm %{buildroot}%{_sysconfdir}/xdg/autostart/xscreensaver.desktop
%post
%desktop_database_post
%icon_theme_cache_post
%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
default-xsession.desktop %{_datadir}/xsessions/xfce.desktop 20
%postun
%desktop_database_postun
%icon_theme_cache_postun
[ -f %{_datadir}/xsessions/xfce.desktop ] || %{_sbindir}/update-alternatives \
--remove default-xsession.desktop %{_datadir}/xsessions/xfce.desktop
%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%license COPYING
%doc AUTHORS BUGS NEWS README TODO
%dir %{_sysconfdir}/xdg/xfce4
%config %{_sysconfdir}/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/xdg/xfce4/xinitrc
%{_sysconfdir}/xdg/autostart/xscreensaver.desktop
%{_bindir}/xfce4-session
%{_bindir}/xfce4-session-logout
%{_bindir}/xfce4-session-settings
@ -179,32 +160,19 @@ ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadi
%{_datadir}/xfce
%{_datadir}/xsessions/xfce.desktop
%{_datadir}/xsessions/default.desktop
%ghost %{_sysconfdir}/alternatives/default.desktop
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_datadir}/themes/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*/*/*
%doc %{_mandir}/man1/xfce4-session*.1*
%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libxfsm-*.so.*
%files lang -f %{name}.lang
%defattr(-,root,root)
%files devel
%defattr(-,root,root)
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/xfce4-session-*/
%{_libdir}/pkgconfig/xfce4-session-*.pc
%{_libdir}/libxfsm-*.so
%files branding-upstream
%defattr(-,root,root)
%dir %{_sysconfdir}/xdg/xfce4
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%dir %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml
%config %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%changelog